javafx.scene.control

## Class TreeTableColumn.CellDataFeatures<S,T>

- java.lang.Object
- - javafx.scene.control.TreeTableColumn.CellDataFeatures<S,T>

- Type Parameters:
    `S` - The TableView type
    `T` - The TreeTableColumn type
  Enclosing class:
    TreeTableColumn<S,T>

      public static class TreeTableColumn.CellDataFeatures<S,T>
      extends Object

  A support class used in TreeTableColumn as a wrapper class to provide all necessary information for a particular `Cell`. Once instantiated, this class is immutable.
  Since:
    JavaFX 8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellDataFeatures(TreeTableView<S> treeTableView, TreeTableColumn<S,T> tableColumn, TreeItem<S> value)` Instantiates a CellDataFeatures instance with the given properties set as read-only values of this instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeTableColumn<S,T>` | `getTreeTableColumn()` Returns the `TreeTableColumn` passed in to the constructor.
    `TreeTableView<S>` | `getTreeTableView()` Returns the `TableView` passed in to the constructor.
    `TreeItem<S>` | `getValue()` Returns the value passed in to the constructor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellDataFeatures

          public CellDataFeatures(TreeTableView<S> treeTableView,
                                  TreeTableColumn<S,T> tableColumn,
                                  TreeItem<S> value)

      Instantiates a CellDataFeatures instance with the given properties set as read-only values of this instance.
      Parameters:
        `treeTableView` - The TableView that this instance refers to.
        `tableColumn` - The TreeTableColumn that this instance refers to.
        `value` - The value for a row in the TableView.

  - ### Method Detail

    - #### getValue

          public TreeItem<S> getValue()

      Returns the value passed in to the constructor.

    - #### getTreeTableColumn

          public TreeTableColumn<S,T> getTreeTableColumn()

      Returns the `TreeTableColumn` passed in to the constructor.

    - #### getTreeTableView

          public TreeTableView<S> getTreeTableView()

      Returns the `TableView` passed in to the constructor.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.